GLM_GTX_wrap
GTX Extensions (Experimental)

## Functions

template<typename genType >
GLM_FUNC_DECL genType | clamp (genType const &Texcoord)
template<typename genType >
GLM_FUNC_DECL genType | mirrorClamp (genType const &Texcoord)
template<typename genType >
GLM_FUNC_DECL genType | mirrorRepeat (genType const &Texcoord)
template<typename genType >
GLM_FUNC_DECL genType | repeat (genType const &Texcoord)

## Detailed Description

Wrapping mode of texture coordinates.

<glm/gtx/wrap.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType glm::clamp | ( | genType const & | Texcoord | ) |

Simulate GL_CLAMP OpenGL wrap mode.

See also
  GLM_GTX_wrap extension.

GLM_FUNC_DECL genType glm::mirrorClamp | ( | genType const & | Texcoord | ) |

Simulate GL_MIRRORED_REPEAT OpenGL wrap mode.

See also
  GLM_GTX_wrap extension.

GLM_FUNC_DECL genType glm::mirrorRepeat | ( | genType const & | Texcoord | ) |

Simulate GL_MIRROR_REPEAT OpenGL wrap mode.

See also
  GLM_GTX_wrap extension.

GLM_FUNC_DECL genType glm::repeat | ( | genType const & | Texcoord | ) |

Simulate GL_REPEAT OpenGL wrap mode.

See also
  GLM_GTX_wrap extension.